List the organisation's registry robots
import requests
url = "https://platform.ankra.app/api/v1/org/registry-robots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/registry-robots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/registry-robots \
--header 'Authorization: Bearer <token>'{
"robots": [
{
"created_at": "<string>",
"credential_name": "<string>",
"description": "<string>",
"host": "<string>",
"name": "<string>",
"project": "<string>",
"robot_name": "<string>",
"rotated_at": "<string>",
"scope": "push"
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Credentials
List the organisation's registry robots
List the robot accounts members of this organisation created on its Ankra registry project. Secrets are never listed. A browser session twin is mounted at the same path without the /api/v1 prefix (cookie authentication).
GET
/
api
/
v1
/
org
/
registry-robots
List the organisation's registry robots
import requests
url = "https://platform.ankra.app/api/v1/org/registry-robots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/registry-robots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/registry-robots \
--header 'Authorization: Bearer <token>'{
"robots": [
{
"created_at": "<string>",
"credential_name": "<string>",
"description": "<string>",
"host": "<string>",
"name": "<string>",
"project": "<string>",
"robot_name": "<string>",
"rotated_at": "<string>",
"scope": "push"
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.